FSCK.EROFS(1)

NAME
fsck.erofs - tool to check an EROFS filesystem's integrity

SYNOPSIS
fsck.erofs [OPTIONS] IMAGE

DESCRIPTION
fsck.erofs is used to scan an EROFS filesystem IMAGE and check the integrity of it.

OPTIONS

-V  Print the version number of fsck.erofs and exit.

-d #
    Specify the level of debugging messages. The default is 2, which shows basic warning messages.

-p  Print total compression ratio of all files including compressed and non-compressed files.

--device=path
    Specify an extra blob device to be used together. You may give multiple --device options in the correct order.

--extract
    Check if all files are well encoded. This read all compressed files, and hence create more I/O load, so it might take too much time depending on the image.

--help
    Display help string and exit.

AUTHOR
This version of fsck.erofs is written by Daeho Jeong <daehojeong@google.com>.

AVAILABILITY
fsck.erofs is part of erofs-utils package and is available from git://git.kernel.org/pub/scm/linux/kernel/git/xiang/erofs-utils.git.

SEE ALSO
fsck(8).